Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xmltorng.document.relaxng.impl
Class ListPatternImpl

    java.lang.Object
      xmltorng.document.relaxng.impl.NonEmptyPatternImpl
          xmltorng.document.relaxng.impl.ListPatternImpl

All Implemented Interfaces:
  ListPattern, NonEmptyPattern, Pattern

    public class ListPatternImpl

extends NonEmptyPatternImpl
implements ListPattern

Field Summary

Fields inherited from interface xmltorng.framework.document.relaxng.NonEmptyPattern
`PATTERN_ATTRIBUTE, PATTERN_DATA, PATTERN_GROUP, PATTERN_LIST, PATTERN_REF, PATTERN_TEXT, PATTERN_VALUE`

Constructor Summary
`ListPatternImpl(Pattern pattern)`

Method Summary
`Pattern` | `getPattern()` Return the pattern.
`int` | `getPatternType()` Return the pattern type.

Methods inherited from class xmltorng.document.relaxng.impl.NonEmptyPatternImpl
`canBeRepeated, isEmpty, setBeRepeated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface xmltorng.framework.document.relaxng.NonEmptyPattern
`canBeRepeated`

Methods inherited from interface xmltorng.framework.document.relaxng.Pattern
`isEmpty`

Constructor Detail

### ListPatternImpl

    public ListPatternImpl(Pattern pattern)

Method Detail

### getPatternType

    public int getPatternType()

  Description copied from interface: `NonEmptyPattern`
  Return the pattern type. Is one of the PATTERN_* constants.

  Specified by:
    `getPatternType` in interface `NonEmptyPattern`

### getPattern

    public Pattern getPattern()

  Description copied from interface: `ListPattern`
  Return the pattern. Is not null.

  Specified by:
    `getPattern` in interface `ListPattern`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD